############## Application Settings ##################
#app.base-url=http://3.21.52.170/
#app.base-url=https://infinitefocus.app/
#app.base-url=https://demo.infinitefocus.app
app.base-url=http://202.131.112.75/~ifs/

#app.api-base-url=https://api.infinitefocus.app
app.api-base-url=http://202.131.112.74:8083
#app.api-base-url=http://localhost:8083


#Hibernate, MySqlDB properties

#spring.jpa.hibernate.ddl-auto=update
#spring.datasource.url=jdbc:mysql://localhost:3306/infinite_focus?useSSL=false
#spring.datasource.username=root
#spring.datasource.password=howard214

#spring.jpa.hibernate.ddl-auto=update
#spring.datasource.url=jdbc:mysql://us-cdbr-iron-east-01.cleardb.net/heroku_680a5d9a1b4e186?reconnect=true&user=b5aca0d8c5c23f&password=9f8aa0cf
#spring.datasource.username=b5aca0d8c5c23f
#spring.datasource.password=9f8aa0cf

###### Production-Demo Database #########
#spring.datasource.url=jdbc:mysql://database-1.c76aa1e6hz9q.us-east-2.rds.amazonaws.com:3306/ifs_ifs_demo?useSSL=false
#spring.datasource.username=admin
#spring.datasource.password=1Infinite2Focus3
#spring.datasource.driver-class-name=com.mysql.jdbc.Driver

###### Productio Database #########
#spring.datasource.url=jdbc:mysql://database-1.c76aa1e6hz9q.us-east-2.rds.amazonaws.com:3306/ifs_ifs?useSSL=false
#spring.datasource.username=admin
#spring.datasource.password=1Infinite2Focus3
#spring.datasource.driver-class-name=com.mysql.jdbc.Driver

###### Remote-PC Database #########
spring.datasource.url=jdbc:mysql://13.68.135.143:3306/ifs_ifs_phase2
spring.datasource.username=ifs_ifsphase2
spring.datasource.password=Z6ewr5vm
spring.datasource.driver-class-name=com.mysql.jdbc.Driver

###### Local-PC Database #########
#spring.datasource.url=jdbc:mysql://localhost:3306/ifs_ifs?useSSL=false
#spring.datasource.username=root
#spring.datasource.password=Shiv@342
#spring.datasource.driver-class-name=com.mysql.jdbc.Driver

spring.jpa.hibernate.ddl-auto=update

spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5Dialect

spring.jackson.serialization.fail-on-empty-beans=false

#Use for Development Sever
server.port=8083
#Use for Production Demo
#server.port=8086
#User for Production Server
#server.port=8082

######Email Properties ######
spring.mail.transport.protocol=smtp
#spring.mail.from.email=vasant.test.evince@gmail.com
spring.mail.host=smtp.gmail.com
spring.mail.port=587
spring.mail.properties.mail.smtp.starttls.enable=true
spring.mail.username=info@infinitefocuschools.org
spring.mail.password=1Infinite2Focus34
spring.mail.properties.mail.smtp.starttls.required=true
spring.mail.properties.mail.smtp.auth=true
spring.mail.properties.mail.smtp.connectiontimeout=5000
spring.mail.properties.mail.smtp.timeout=5000
spring.mail.properties.mail.smtp.writetimeout=5000

############## Firebase ##################
app.firebase-configuration-file=fcm/infinite-focus-schools-firebase-adminsdk-dk59r-a8d9ceb059.json

############## Log settings ##############
#logging.level.org.springframework=OFF
#logging.level.root=OFF

server.tomcat.basedir=${user.home}/deployer/tomcat
